Items - Get Environment Definition
Returns the specified environment public definition.
This API supports long running operations (LRO).
When you get a environment's public definition, the sensitivity label is not a part of the definition.
Permissions
The caller must have read and write permissions for the environment.
Required Delegated Scopes
Environment.ReadWrite.All or Item.ReadWrite.All
Limitations
To retrieve the definition of an environment item protected by an encrypted sensitivity label, the caller must have sufficient usage rights to remove the label, as configured in Microsoft Purview.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/environments/{environmentId}/getDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/environments/{environmentId}/getDefinition?format={format}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string (uuid) |
The environment ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
format
|
query |
string |
The format of the environment public definition. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Retrieving the definition is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a environment definition example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/6e335e92-a2a2-4b5a-970a-bd6a89fbb765/environments/cfafbeb1-8037-4d0c-896e-a46fb27ff229/getDefinition
Sample response
{
"definition": {
"parts": [
{
"path": "Libraries/CustomLibraries/samplelibrary.jar",
"payload": "eyJuYmZvcm1hdCI6N..",
"payloadType": "InlineBase64"
},
{
"path": "Libraries/CustomLibraries/samplepython.py",
"payload": "FyJuYmZvcm1hdCI6N..",
"payloadType": "InlineBase64"
},
{
"path": "Libraries/CustomLibraries/samplewheel-0.18.0-py2.py3-none-any.whl",
"payload": "LyJuYmZvcm1hdCI6N..",
"payloadType": "InlineBase64"
},
{
"path": "Libraries/CustomLibraries/sampleR.tar.gz",
"payload": "ZyJuYmZvcm1hdCI6N..",
"payloadType": "InlineBase64"
},
{
"path": "Libraries/PublicLibraries/environment.yml",
"payload": "IyJuYmZvcm1hdCI6N..",
"payloadType": "InlineBase64"
},
{
"path": "Setting/Sparkcompute.yml",
"payload": "GyJuYmZvcm1hdCI6N..",
"payloadType": "InlineBase64"
},
{
"path": ".platform",
"payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc",
"payloadType": "InlineBase64"
}
]
}
}
Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Environment |
Environment public definition object. Refer to this article for more details on the structure of the Environment definition. |
|
Environment |
Environment definition part object. |
|
Environment |
Environment public definition response. |
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Payload |
The type of the definition part payload. Additional payload types may be added over time. |
EnvironmentDefinition
Environment public definition object. Refer to this article for more details on the structure of the Environment definition.
| Name | Type | Description |
|---|---|---|
| format |
string |
The format of the Environment definition. |
| parts |
A list of definition parts. |
EnvironmentDefinitionPart
Environment definition part object.
| Name | Type | Description |
|---|---|---|
| path |
string |
The environment part path. |
| payload |
string |
The environment part payload. |
| payloadType |
The payload type. |
EnvironmentDefinitionResponse
Environment public definition response.
| Name | Type | Description |
|---|---|---|
| definition |
Environment public definition object. Refer to this article for more details on the structure of the Environment definition. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
PayloadType
The type of the definition part payload. Additional payload types may be added over time.
| Value | Description |
|---|---|
| InlineBase64 |
Inline Base 64. |